Bug 258200 - emulators/i386-wine: dependency on wine-gecko is outdated
Summary: emulators/i386-wine: dependency on wine-gecko is outdated
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Gerald Pfeifer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-01 16:47 UTC by Felix Palmen
Modified: 2021-10-10 06:33 UTC (History)
3 users (show)

See Also:
Alexander88207: maintainer-feedback+


Attachments
generic dependency for wine-gecko (1.69 KB, patch)
2021-09-01 16:47 UTC, Felix Palmen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Palmen 2021-09-01 16:47:49 UTC
Created attachment 227595 [details]
generic dependency for wine-gecko

Suggesting a fix similar to https://bugs.freebsd.org/257630 – generic dependency only on the port.

Attached patch (can be applied with `git am`) does it for both emulatos/wine and emulators/i386-wine.
Comment 1 Alexander Vereeken 2021-09-01 17:53:04 UTC
Comment on attachment 227595 [details]
generic dependency for wine-gecko

Approved, thank you Felix!

Please note that the i386-wine ports will be removed in the future.

Because emulators/wine(-devel) have now wow64 support.
Comment 2 Felix Palmen 2021-09-02 17:44:54 UTC
Now that's awesome news! I'd just suggest to rework pkg-descr to reflect this ;)
Comment 3 Gerald Pfeifer freebsd_committer 2021-10-01 06:16:16 UTC
Seeing nobody picked this up for a month, I'll help (though it may take
a few days).

> Please note that the i386-wine ports will be removed in the future.

You keep saying that. What is the plan?
Comment 4 commit-hook freebsd_committer 2021-10-10 06:22:44 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8fcc40e7043f53358931a874d0f31e889e32ff1a

commit 8fcc40e7043f53358931a874d0f31e889e32ff1a
Author:     Felix Palmen <felix@palmen-it.de>
AuthorDate: 2021-10-10 06:20:39 +0000
Commit:     Gerald Pfeifer <gerald@FreeBSD.org>
CommitDate: 2021-10-10 06:21:29 +0000

    emulators/i386-wine: Make dependency on wine-gecko generic

    Similar to commits dc73fd607fb79017cf74182613659ac9c4340bdd and
    18fcc610bf93b40517bdb3f3ba945659a70cb6d0 solving this for wine-mono,
    the dependency on wine-gecko had the actual version number hardcoded,
    which is easy to miss and a maintenance burden.

    Simply depend on the port instead for wine-gecko as well.

    PR:             258200

 emulators/i386-wine/Makefile.amd64 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 5 Gerald Pfeifer freebsd_committer 2021-10-10 06:33:06 UTC
Thank you for reporting this and even including a fix, Felix.

I committed this change to i386-wine. I already had this change queued
for the main wine port (which isn't broken in terms of dependency right
now) and will address this later.

Alexander, apologies: I missed the "Approved by: maintainer (Alex...)"
in the commit message.